<xsl:stylesheet version="1.0"
  xmlns:xsl   = "http://www.w3.org/1999/XSL/Transform"
  xmlns:range = "urn:xpath1range">

  <xsl:include href="range.xsl"/>

  <xsl:template match="/">
  <!--
    for $f in 1 to 10000
      ...

    emulated by:
    <xsl:for-each select="range:to(1,10000)">
      <xsl:variable name="f" select="."/>
      ...
    </xsl:for-each>
  -->
    <xsl:for-each select="range:to(1,10000)">
      <xsl:variable name="f" select="."/>

      <xsl:value-of select="$f"/>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>

